package com.rthoni.intellij.codefromds.dbo;

import com.intellij.database.model.DasTable;

import java.util.List;

/**
 * Created by robin on 11/15/16.
 */
public class TableSelection {

    private DasTable _table;

    private List<ColumnSelection> _columns;

    public DasTable getTable() {
        return _table;
    }

    public void setTable(DasTable table) {
        _table = table;
    }

    public List<ColumnSelection> getColumns() {
        return _columns;
    }

    public void setColumns(List<ColumnSelection> columns) {
        _columns = columns;
    }

    public boolean hasNone()
    {
        return _columns != null && _columns.stream().filter(ColumnSelection::isSelected).count() == 0;
    }

    public boolean hasAll()
    {
        return _columns != null && _columns.stream().filter(ColumnSelection::isSelected).count() == _columns.size();
    }
}
